Subject: Re: [bug#35482] [PATCH] Rename games to match upstream name project

From: Ludovic Courtès <[email-masked]>
Date: Mon, 29 Apr 2019 09:30:19 +0200

Hi Nicolas,

Nicolas Goaziou <[email-masked]> skribis:

> I remember there was some discussion about them, but I don't know what
> was its conclusion. 

Several people were in favor of reverting the name changes.

> In any case, for the time being, some games use a "pretty name", e.g.,
> "l-abbaye-des-morts", whereas others do not, e.g., "alex4". I think this
> should be settled before 1.0 release. Hence, for the sake of
> consistency, the following patch reverts all games back to their
> original name.

I’m all for it, thanks for taking the time to do it.  (That’s another
reason why this big-rename patch should have gone through review: once
committed, it remained, even though consensus was reached to revert it;
not a great situation!)

>>>From 52fa4205c56184782749b5bec244dda6c9023b3e Mon Sep 17 00:00:00 2001
> From: Nicolas Goaziou <[email-masked]>
> Date: Sun, 28 Apr 2019 23:49:00 +0200
> Subject: [PATCH] gnu: Rename some games to match upstream project name.
>
> * gnu/packages/games.scm (armagetronad):
> (cataclysm-dda):
> (abbaye):
> (wesnoth):
> (wesnoth-server):
> (starfighter):
> (kiki):
> (fillets-ng):
> (crawl):
> (crawl-tiles):
> (tome4):
> (btanks):
> (battle-tanks):
> (edgar): Use these as the package definition.
> (armagetron-advanced):
> (cataclysm-dark-days-ahead):
> (l-abbaye-des-morts):
> (the-battle-for-wesnoth):
> (the-battle-for-wesnoth-server):
> (project-starfighter):
> (kiki-the-nano-bot):
> (fish-fillets-ng):
> (dungeon-crawl-stone-soup):
> (dungeon-crawl-stone-soup-tiles):
> (tales-of-maj-eyal):
> (the-legend-of-edgar): Turn these into obsolete aliases.

Please add a line like “This reverts renames made by commit XYZ.”

Just double-check that there are no unbound variables or anything like
that, after applying Tobias’ changes, and then go for it!

Thank you,
Ludo’.